Bug 1925072 - NTO needs to ship the current latest stalld v1.7.0
Summary: NTO needs to ship the current latest stalld v1.7.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Jiří Mencák
QA Contact: Simon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-04 11:09 UTC by Jiří Mencák
Modified: 2021-02-24 15:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:58:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 201 0 None closed Bug 1925072: Updating to the latest stalld v1.7.0. 2021-02-08 15:47:56 UTC
Github openshift cluster-node-tuning-operator pull 202 0 None open Bug 1925072: Remove the -mtune=generic gcc flag. 2021-02-05 07:44:28 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:58:31 UTC

Description Jiří Mencák 2021-02-04 11:09:00 UTC
Description of problem:
NTO in OCP 4.7 ships an old version of stalld.  There have been significant improvements to the "stall daemon" which tries to prevent the *starvation* of operating system threads in a Linux system.  The version currently shipped with NTO, for example, misses the RT throttling improvements and SIGTERM handling.

Steps to Reproduce:
1. check the stalld version in a Tuned container (stalld -V)

Actual results:
v1.0

Expected results:
v1.7 + script-based (throttlectl.sh) RT throttling

Additional info:
https://github.com/openshift/cluster-node-tuning-operator/pull/201

Comment 3 Simon 2021-02-08 16:59:52 UTC
oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-02-08-052658   True        False         46m     Cluster version is 4.7.0-0.nightly-2021-02-08-052658

oc project openshift-cluster-node-tuning-operator 
Now using project "openshift-cluster-node-tuning-operator" on server "https://api.skordas0208.qe.gcp.devcluster.openshift.com:6443".

oc get pods
NAME                                            READY   STATUS    RESTARTS   AGE
cluster-node-tuning-operator-5fb587f967-vgx9z   1/1     Running   0          41m
tuned-88c4w                                     1/1     Running   0          66m
tuned-bm69h                                     1/1     Running   0          66m
tuned-br5m2                                     1/1     Running   0          58m
tuned-lbq4h                                     1/1     Running   0          58m
tuned-vx8lt                                     1/1     Running   0          66m
tuned-x9h7p                                     1/1     Running   0          58m

oc rsh tuned-88c4w stalld -V
1.7

Comment 6 errata-xmlrpc 2021-02-24 15:58:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.